/**
 * The ApplicationOwnerController file is a very simple one, which does not need to be changed manually,
 * unless there's a case where business logic routes the request to an entity which is not
 * the service.
 * The heavy lifting of the Controller item is done in Request.js - that is where request
 * parameters are extracted and sent to the service, and where response is handled.
 */

const Controller = require('./Controller');
const service = require('../services/ApplicationOwnerService');
const createApplicationOwner = async (request, response) => {
  await Controller.handleRequest(request, response, service.createApplicationOwner);
};

const listApplicationOwner = async (request, response) => {
  await Controller.handleRequest(request, response, service.listApplicationOwner);
};

const patchApplicationOwner = async (request, response) => {
  await Controller.handleRequest(request, response, service.patchApplicationOwner);
};

const retrieveApplicationOwner = async (request, response) => {
  await Controller.handleRequest(request, response, service.retrieveApplicationOwner);
};


module.exports = {
  createApplicationOwner,
  listApplicationOwner,
  patchApplicationOwner,
  retrieveApplicationOwner,
};
