/**
 * The NotificationListenerController file is a very simple one, which does not need to be changed manually,
 * unless there's a case where business logic routes the request to an entity which is not
 * the service.
 * The heavy lifting of the Controller item is done in Request.js - that is where request
 * parameters are extracted and sent to the service, and where response is handled.
 */

const Controller = require('./Controller');
const service = require('../services/NotificationListenerService');
const apiProductOrderAttributeValueChangeEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.apiProductOrderAttributeValueChangeEvent);
};

const apiProductOrderCreateEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.apiProductOrderCreateEvent);
};

const apiProductOrderErrorMessageEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.apiProductOrderErrorMessageEvent);
};

const apiProductOrderStateChangeEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.apiProductOrderStateChangeEvent);
};

const applicationApprovalStatusChangeEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.applicationApprovalStatusChangeEvent);
};

const applicationAttributeValueChangeEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.applicationAttributeValueChangeEvent);
};

const applicationCreateEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.applicationCreateEvent);
};

const applicationOwnerApprovalStatusChangeEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.applicationOwnerApprovalStatusChangeEvent);
};

const applicationOwnerAttributeValueChangeEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.applicationOwnerAttributeValueChangeEvent);
};

const applicationOwnerCreateEvent = async (request, response) => {
  await Controller.handleRequest(request, response, service.applicationOwnerCreateEvent);
};


module.exports = {
  apiProductOrderAttributeValueChangeEvent,
  apiProductOrderCreateEvent,
  apiProductOrderErrorMessageEvent,
  apiProductOrderStateChangeEvent,
  applicationApprovalStatusChangeEvent,
  applicationAttributeValueChangeEvent,
  applicationCreateEvent,
  applicationOwnerApprovalStatusChangeEvent,
  applicationOwnerAttributeValueChangeEvent,
  applicationOwnerCreateEvent,
};
