/* eslint-disable no-unused-vars */
const Service = require('./Service');

  /**
   * Creates a ApiProductOrder
   * This operation creates a ApiProductOrder entity.
   *
   * apiProductOrderFVO ApiProductOrderFVO The ApiProductOrder to be created
   * fields String Comma-separated properties to be provided in response (optional)
   * returns ApiProductOrder
   **/
  const createApiProductOrder =  ( args, context /* apiProductOrderFVOfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApiProductOrder";
        context.operationId  = "createApiProductOrder";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("createApiProductOrder: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * List or find ApiProductOrder objects
   * List or find ApiProductOrder objects
   *
   * fields String Comma-separated properties to be provided in response (optional)
   * offset Integer Requested index for start of resources to be provided in response (optional)
   * limit Integer Requested number of resources to be provided in response (optional)
   * returns List
   **/
  const listApiProductOrder =  ( args, context /* fieldsoffsetlimit  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApiProductOrder";
        context.operationId  = "listApiProductOrder";
        context.method       = "get";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("listApiProductOrder: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Retrieves a ApiProductOrder by ID
   * This operation retrieves a ApiProductOrder entity. Attribute selection enabled for all first level attributes.
   *
   * id String Identifier of the Resource
   * fields String Comma-separated properties to be provided in response (optional)
   * returns ApiProductOrder
   **/
  const retrieveApiProductOrder =  ( args, context /* idfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApiProductOrder";
        context.operationId  = "retrieveApiProductOrder";
        context.method       = "get";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("retrieveApiProductOrder: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    

module.exports = {
  createApiProductOrder,
  listApiProductOrder,
  retrieveApiProductOrder,
};
