/* eslint-disable no-unused-vars */
const Service = require('./Service');

  /**
   * List or find ApiProduct objects
   * List or find ApiProduct objects
   *
   * fields String Comma-separated properties to be provided in response (optional)
   * offset Integer Requested index for start of resources to be provided in response (optional)
   * limit Integer Requested number of resources to be provided in response (optional)
   * returns List
   **/
  const listApiProduct =  ( args, context /* fieldsoffsetlimit  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApiProduct";
        context.operationId  = "listApiProduct";
        context.method       = "get";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("listApiProduct: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Retrieves a ApiProduct by ID
   * This operation retrieves a ApiProduct entity. Attribute selection enabled for all first level attributes.
   *
   * id String Identifier of the Resource
   * fields String Comma-separated properties to be provided in response (optional)
   * returns ApiProduct
   **/
  const retrieveApiProduct =  ( args, context /* idfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApiProduct";
        context.operationId  = "retrieveApiProduct";
        context.method       = "get";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("retrieveApiProduct: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    

module.exports = {
  listApiProduct,
  retrieveApiProduct,
};
