/* eslint-disable no-unused-vars */
const Service = require('./Service');

  /**
   * Creates a ApplicationOwner
   * This operation creates a ApplicationOwner entity.
   *
   * applicationOwnerFVO ApplicationOwnerFVO The ApplicationOwner to be created
   * fields String Comma-separated properties to be provided in response (optional)
   * returns ApplicationOwner
   **/
  const createApplicationOwner =  ( args, context /* applicationOwnerFVOfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApplicationOwner";
        context.operationId  = "createApplicationOwner";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("createApplicationOwner: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * List or find ApplicationOwner objects
   * List or find ApplicationOwner objects
   *
   * fields String Comma-separated properties to be provided in response (optional)
   * offset Integer Requested index for start of resources to be provided in response (optional)
   * limit Integer Requested number of resources to be provided in response (optional)
   * returns List
   **/
  const listApplicationOwner =  ( args, context /* fieldsoffsetlimit  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApplicationOwner";
        context.operationId  = "listApplicationOwner";
        context.method       = "get";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("listApplicationOwner: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Updates partially a ApplicationOwner
   * This operation updates partially a ApplicationOwner entity.
   *
   * id String Identifier of the Resource
   * applicationOwnerMVO ApplicationOwnerMVO The ApplicationOwner to be patched
   * fields String Comma-separated properties to be provided in response (optional)
   * returns ApplicationOwner
   **/
  const patchApplicationOwner =  ( args, context /* idapplicationOwnerMVOfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApplicationOwner";
        context.operationId  = "patchApplicationOwner";
        context.method       = "patch";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("patchApplicationOwner: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Retrieves a ApplicationOwner by ID
   * This operation retrieves a ApplicationOwner entity. Attribute selection enabled for all first level attributes.
   *
   * id String Identifier of the Resource
   * fields String Comma-separated properties to be provided in response (optional)
   * returns ApplicationOwner
   **/
  const retrieveApplicationOwner =  ( args, context /* idfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "ApplicationOwner";
        context.operationId  = "retrieveApplicationOwner";
        context.method       = "get";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("retrieveApplicationOwner: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    

module.exports = {
  createApplicationOwner,
  listApplicationOwner,
  patchApplicationOwner,
  retrieveApplicationOwner,
};
