/* eslint-disable no-unused-vars */
const Service = require('./Service');

  /**
   * Creates a Application
   * This operation creates a Application entity.
   *
   * applicationFVO ApplicationFVO The Application to be created
   * fields String Comma-separated properties to be provided in response (optional)
   * returns Application
   **/
  const createApplication =  ( args, context /* applicationFVOfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "Application";
        context.operationId  = "createApplication";
        context.method       = "post";
        try {
          /* matching isRestfulCreate */
          resolve(Service.create(args, context ));

        } catch (e) {
          console.log("createApplication: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * List or find Application objects
   * List or find Application objects
   *
   * fields String Comma-separated properties to be provided in response (optional)
   * offset Integer Requested index for start of resources to be provided in response (optional)
   * limit Integer Requested number of resources to be provided in response (optional)
   * returns List
   **/
  const listApplication =  ( args, context /* fieldsoffsetlimit  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "Application";
        context.operationId  = "listApplication";
        context.method       = "get";
        try {
          /* matching isRestfulIndex */
          resolve(Service.index(args, context ));

        } catch (e) {
          console.log("listApplication: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Updates partially a Application
   * This operation updates partially a Application entity.
   *
   * id String Identifier of the Resource
   * applicationMVO ApplicationMVO The Application to be patched
   * fields String Comma-separated properties to be provided in response (optional)
   * returns Application
   **/
  const patchApplication =  ( args, context /* idapplicationMVOfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "Application";
        context.operationId  = "patchApplication";
        context.method       = "patch";
        try {
          /* matching isRestfulUpdate */
          resolve(Service.update(args, context ));

        } catch (e) {
          console.log("patchApplication: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Retrieves a Application by ID
   * This operation retrieves a Application entity. Attribute selection enabled for all first level attributes.
   *
   * id String Identifier of the Resource
   * fields String Comma-separated properties to be provided in response (optional)
   * returns Application
   **/
  const retrieveApplication =  ( args, context /* idfields  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "Application";
        context.operationId  = "retrieveApplication";
        context.method       = "get";
        try {
          /* matching isRestfulShow */
          resolve(Service.show(args, context ));

        } catch (e) {
          console.log("retrieveApplication: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    

module.exports = {
  createApplication,
  listApplication,
  patchApplication,
  retrieveApplication,
};
