/* eslint-disable no-unused-vars */
const Service = require('./Service');

  /**
   * Client listener for entity ApiProductOrderAttributeValueChangeEvent
   * Example of a client listener for receiving the notification ApiProductOrderAttributeValueChangeEvent
   *
   * apiProductOrderAttributeValueChangeEvent ApiProductOrderAttributeValueChangeEvent ApiProductOrder attributeValueChange Event payload
   * no response value expected for this operation
   **/
  const apiProductOrderAttributeValueChangeEvent =  ( args, context /* apiProductOrderAttributeValueChangeEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "apiProductOrderAttributeValueChangeEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("apiProductOrderAttributeValueChangeEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApiProductOrderCreateEvent
   * Example of a client listener for receiving the notification ApiProductOrderCreateEvent
   *
   * apiProductOrderCreateEvent ApiProductOrderCreateEvent ApiProductOrder create Event payload
   * no response value expected for this operation
   **/
  const apiProductOrderCreateEvent =  ( args, context /* apiProductOrderCreateEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "apiProductOrderCreateEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("apiProductOrderCreateEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApiProductOrderErrorMessageEvent
   * Example of a client listener for receiving the notification ApiProductOrderErrorMessageEvent
   *
   * apiProductOrderErrorMessageEvent ApiProductOrderErrorMessageEvent ApiProductOrder errorMessage Event payload
   * no response value expected for this operation
   **/
  const apiProductOrderErrorMessageEvent =  ( args, context /* apiProductOrderErrorMessageEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "apiProductOrderErrorMessageEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("apiProductOrderErrorMessageEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApiProductOrderStateChangeEvent
   * Example of a client listener for receiving the notification ApiProductOrderStateChangeEvent
   *
   * apiProductOrderStateChangeEvent ApiProductOrderStateChangeEvent ApiProductOrder stateChange Event payload
   * no response value expected for this operation
   **/
  const apiProductOrderStateChangeEvent =  ( args, context /* apiProductOrderStateChangeEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "apiProductOrderStateChangeEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("apiProductOrderStateChangeEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApplicationApprovalStatusChangeEvent
   * Example of a client listener for receiving the notification ApplicationApprovalStatusChangeEvent
   *
   * applicationApprovalStatusChangeEvent ApplicationApprovalStatusChangeEvent Application approvalStatusChange Event payload
   * no response value expected for this operation
   **/
  const applicationApprovalStatusChangeEvent =  ( args, context /* applicationApprovalStatusChangeEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "applicationApprovalStatusChangeEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("applicationApprovalStatusChangeEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApplicationAttributeValueChangeEvent
   * Example of a client listener for receiving the notification ApplicationAttributeValueChangeEvent
   *
   * applicationAttributeValueChangeEvent ApplicationAttributeValueChangeEvent Application attributeValueChange Event payload
   * no response value expected for this operation
   **/
  const applicationAttributeValueChangeEvent =  ( args, context /* applicationAttributeValueChangeEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "applicationAttributeValueChangeEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("applicationAttributeValueChangeEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApplicationCreateEvent
   * Example of a client listener for receiving the notification ApplicationCreateEvent
   *
   * applicationCreateEvent ApplicationCreateEvent Application create Event payload
   * no response value expected for this operation
   **/
  const applicationCreateEvent =  ( args, context /* applicationCreateEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "applicationCreateEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("applicationCreateEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApplicationOwnerApprovalStatusChangeEvent
   * Example of a client listener for receiving the notification ApplicationOwnerApprovalStatusChangeEvent
   *
   * applicationOwnerApprovalStatusChangeEvent ApplicationOwnerApprovalStatusChangeEvent ApplicationOwner approvalStatusChange Event payload
   * no response value expected for this operation
   **/
  const applicationOwnerApprovalStatusChangeEvent =  ( args, context /* applicationOwnerApprovalStatusChangeEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "applicationOwnerApprovalStatusChangeEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("applicationOwnerApprovalStatusChangeEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApplicationOwnerAttributeValueChangeEvent
   * Example of a client listener for receiving the notification ApplicationOwnerAttributeValueChangeEvent
   *
   * applicationOwnerAttributeValueChangeEvent ApplicationOwnerAttributeValueChangeEvent ApplicationOwner attributeValueChange Event payload
   * no response value expected for this operation
   **/
  const applicationOwnerAttributeValueChangeEvent =  ( args, context /* applicationOwnerAttributeValueChangeEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "applicationOwnerAttributeValueChangeEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("applicationOwnerAttributeValueChangeEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    
  /**
   * Client listener for entity ApplicationOwnerCreateEvent
   * Example of a client listener for receiving the notification ApplicationOwnerCreateEvent
   *
   * applicationOwnerCreateEvent ApplicationOwnerCreateEvent ApplicationOwner create Event payload
   * no response value expected for this operation
   **/
  const applicationOwnerCreateEvent =  ( args, context /* applicationOwnerCreateEvent  */) =>
    new Promise(
      async (resolve) => {
        context.classname    = "NotificationListener";
        context.operationId  = "applicationOwnerCreateEvent";
        context.method       = "post";
        try {
          /* NOT matching isRestful */
          resolve(Service.serve(args, context ));

        } catch (e) {
          console.log("applicationOwnerCreateEvent: error=" + e);
          resolve(Service.rejectResponse(
            e.message || 'Invalid input',
            e.status || 405,
          ));
        }
      },
    )
    

module.exports = {
  apiProductOrderAttributeValueChangeEvent,
  apiProductOrderCreateEvent,
  apiProductOrderErrorMessageEvent,
  apiProductOrderStateChangeEvent,
  applicationApprovalStatusChangeEvent,
  applicationAttributeValueChangeEvent,
  applicationCreateEvent,
  applicationOwnerApprovalStatusChangeEvent,
  applicationOwnerAttributeValueChangeEvent,
  applicationOwnerCreateEvent,
};
